Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042740
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementminorhave not tried2020-01-08 14:042020-01-21 11:33
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision0393f5fe0a3f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042740: Apply new HQL style in ServicePriceUtils

Description1. Avoid use of StringBuffer use normal Strings.
2. Avoid Property Constants for eg: PROPERTY_SERVICEPRICERULE, ENTITY_NAME, etc
3. HQL formatting is important for improving readability.
Steps To Reproduce-
Proposed SolutionFollow new style available here http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116913)
AtulOpenbravo (developer)
2020-01-16 03:52

Test Plan
Note: All records are created in F&B US, Inc. Organization
- Navigate to Service Price Rule window
- Create record: Name - Test Range, Rule Type: Range
- Under Ranges tab create two records 1. Amount Upto 10000, Percentage: 10, 2. Amount Upto 100000, Percentage: 20
- Create record: Name - Test Percentage, Rule Type: Percentage, Percentage = 10
- Define Three Service product, Type as:Service
- Set Linked To Product = Yes, Include Product Categories: blank, Include Products : Only those Defined, Quantity Rule: As per Product, Allow Deferred Sell = Yes
- For Service Product 1 set Is Price Rule Based = No,
- For Service Product 2 & 3 set Is Price Rule Based = Yes.
- Add Sales Price in Price Tab for both products.
- For Service Product 2 - Add Service Price Rule as Test Range
- For Service Product 3 - Add Service Price Rule as Test Percentage
- Relate Products (For eg: Cherry Cola) to all Service Products created in above steps.
- For Related Products in Service Products based on Price Rule add respective Service Price Rules in Product Price Rule Version Tab.
- Create a Sales Order for any Business Partner
- Add service products 1, 2, & 3 created in the above steps
- Select the Service Product 1 Line, realize that Select Order Line button is visible
- Click on it and Clear filters in that P&E window, Sales Order Lines for product Cherry Cola appears in the list
- Select the Service Product 2 Line, realize that Select Order Line button is visible
- Click on it and Clear filters in that P&E window, Sales Order Lines for product Cherry Cola appears in the list
- Select the Service Product 3 Line, realize that Select Order Line button is visible
- Click on it and Clear filters in that P&E window, Sales Order Lines for product Cherry Cola appears in the list
- Select the records, try to edit Relate Quantity.
- Press Done button, realize that process is successful.
- Complete the Order.
(0117127)
hgbot (developer)
2020-01-21 11:32

Repository: erp/devel/pi
Changeset: 0393f5fe0a3f4eafe4d45392a75b9a70d37babb2
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 17 08:07:25 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0393f5fe0a3f4eafe4d45392a75b9a70d37babb2 [^]

Fixes BUG-42740: Apply new HQL style in ServicePriceUtils

**Avoid stringbuffer, use string instead to format hql
query string to improve readability

---
M src/org/openbravo/materialmgmt/ServicePriceUtils.java
---
(0117128)
hgbot (developer)
2020-01-21 11:32

Repository: erp/devel/pi
Changeset: 1912a10a8d55ff2826daca0a674e1b67a140c7ee
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 17 08:12:08 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/1912a10a8d55ff2826daca0a674e1b67a140c7ee [^]

Related To ISSUE-42740:Apply new HQL style in ServicePriceUtils

**Simplify the call to the query object

---
M src/org/openbravo/materialmgmt/ServicePriceUtils.java
---
(0117129)
hgbot (developer)
2020-01-21 11:32

Repository: erp/devel/pi
Changeset: 078461fa85cedfb0033b457b710cc75a19e02eb2
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jan 17 09:20:19 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/078461fa85cedfb0033b457b710cc75a19e02eb2 [^]

Related To ISSUE-42740: Apply new HQL style in ServicePriceUtils

**Applied SonarLint Suggestions

---
M src/org/openbravo/materialmgmt/ServicePriceUtils.java
---
(0117130)
hgbot (developer)
2020-01-21 11:32

Repository: erp/devel/pi
Changeset: cdaebbaa06f9ec220259db25d53ae90a604b5fb7
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jan 21 11:32:01 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cdaebbaa06f9ec220259db25d53ae90a604b5fb7 [^]

Related to ISSUE-42740. Code Review changes:
* Order lines of Sales Order based on lineNo

---
M src/org/openbravo/materialmgmt/ServicePriceUtils.java
---
(0117131)
dmiguelez (developer)
2020-01-21 11:33

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-08 14:04 AtulOpenbravo New Issue
2020-01-08 14:04 AtulOpenbravo Assigned To => AtulOpenbravo
2020-01-08 14:04 AtulOpenbravo Modules => Core
2020-01-08 14:04 AtulOpenbravo Triggers an Emergency Pack => No
2020-01-08 14:04 AtulOpenbravo Issue generated from 0042736
2020-01-08 14:06 AtulOpenbravo Relationship added depends on 0041287
2020-01-08 14:06 AtulOpenbravo Relationship replaced related to 0041287
2020-01-09 11:23 AtulOpenbravo Status new => scheduled
2020-01-10 06:32 AtulOpenbravo Issue cloned 0042784
2020-01-16 03:52 AtulOpenbravo Note Added: 0116913
2020-01-21 11:32 hgbot Checkin
2020-01-21 11:32 hgbot Note Added: 0117127
2020-01-21 11:32 hgbot Status scheduled => resolved
2020-01-21 11:32 hgbot Resolution open => fixed
2020-01-21 11:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0393f5fe0a3f4eafe4d45392a75b9a70d37babb2 [^]
2020-01-21 11:32 hgbot Checkin
2020-01-21 11:32 hgbot Note Added: 0117128
2020-01-21 11:32 hgbot Checkin
2020-01-21 11:32 hgbot Note Added: 0117129
2020-01-21 11:32 hgbot Checkin
2020-01-21 11:32 hgbot Note Added: 0117130
2020-01-21 11:33 dmiguelez Review Assigned To => dmiguelez
2020-01-21 11:33 dmiguelez Note Added: 0117131
2020-01-21 11:33 dmiguelez Status resolved => closed
2020-01-21 11:33 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker